package com.engine.kq.service;

import weaver.hrm.User;
import java.util.Map;

public interface KQGroupLocationService {

	/**
	 * 保存
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> save(Map<String, Object> params, User user);

	/**
	 * 删除
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> del(Map<String, Object> params, User user);

	/**
	 * 新建编辑表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getForm(Map<String, Object> params, User user);

	/**
	 * 查列表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getGroupLocationList(Map<String, Object> params, User user);

}
